Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Interface ServerInterceptorChainMBean

public interface ServerInterceptorChainMBean

MBean interface.

Method Summary
`javax.management.ObjectName` | `getConnectorName()` Get the ConnectorName value.
`List` | `getInterceptorNames()` Get the InterceptorName value.
`String` | `getSubsystem()` Get the Subsystem value.
`void` | `setConnectorName(javax.management.ObjectName newConnectorName)` Set the ConnectorName value.
`void` | `setInterceptorNames(List newInterceptorNames)` Set the InterceptorName value.
`void` | `setSubsystem(String newSubsystem)` Set the Subsystem value.
`void` | `start()` The `start` method
`void` | `stop()` The `stop` method

Method Detail

### getConnectorName

    public javax.management.ObjectName getConnectorName()

  Get the ConnectorName value.

  Returns:
    the ConnectorName value.

### setConnectorName

    public void setConnectorName(javax.management.ObjectName newConnectorName)

  Set the ConnectorName value.

  Parameters:
    `newConnectorName` - The new ConnectorName value.

### getSubsystem

    public String getSubsystem()

  Get the Subsystem value.

  Returns:
    the Subsystem value.

### setSubsystem

    public void setSubsystem(String newSubsystem)

  Set the Subsystem value.

  Parameters:
    `newSubsystem` - The new Subsystem value.

### getInterceptorNames

    public List getInterceptorNames()

  Get the InterceptorName value.

  Returns:
    the InterceptorName value.

### setInterceptorNames

    public void setInterceptorNames(List newInterceptorNames)

  Set the InterceptorName value.

### start

    public void start()
               throws Exception

  The `start` method

  Throws:
    `Exception` - if an error occurs

### stop

    public void stop()
              throws Exception

  The `stop` method

  Throws:
    `Exception` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.